**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              Techniques0.gms
Sequence         2 - Le modle d'exploitation agricole
Type             LP
Langage GAMS     Donnes et variables  deux indices (deux dimensions)
Description
" Soit une exploitation agricole qui peut pratiquer deux cultures : le bl et le mas.
On cherche  dterminer la superficie  cultiver dans chaque production, sachant que :
L'objectif de l'agriculteur est la maximisation du revenu
Par hectare, la marge brute du bl est de 450 et celle du mais de 1000.
Le bl utilise 25 heures de travail par ha et par an et le mais 50 heures
La surface de l'exploitation est de 50 ha et l'agriculteur dispose de 2000 heures de travail par an."


$Offtext


*----------                          INDICES                        ----------*
sets
C cultures  /ble,mais/
T techniques /ext, int/
;

*----------                          DONNEES                        ----------*
scalar
DTERRE disponibilite de terre en hectares       /50/
DMO    disponibilite de travail en heures     /2000/
;

table
BMO(C, T) besoins en travail par hectare et par culture (heures)
        ext   int
ble     15    25
mais    45    50
;

table
MB (C, T) cout variable par culture en euros par ha
       ext    int
ble    425    450
mais   800    1000
;

*----------                         MODELE                          ----------*
variables
   Z    revenu total de l exploitation (euros)
;

positive variables
   X     superficie par culture (hectares)
;

equations
   OBJECTIF       fonction objectif
   TERRE          contrainte de terre
   TRAVAIL        contrainte de travail
;

OBJECTIF..  sum ((C,T), MB(C, T)* X(C, T)) =E= Z ;

TERRE..    sum((C,T), X(C, T)) =l= dterre ;

TRAVAIL..  sum((C,T), BMO(C, T)*X(C, T)) =L= dmo;


model modelS2 premier exemple /all/;

*----------                        SOLUTION                         ----------*
solve modelS2 using LP maximizing Z;

Parameter RESULT(*,*);
RESULT('REVENU','TOTAL') = Z.L;
Display RESULT ;

